Skip to main content
GET
Public List Branches
This endpoint returns a list of branches. The response is an array of PublicApiBranchBaseResponse.

Overview

  • Method: GET
  • Path: /v0/branch/
  • OperationId: public_list_branches_v0_branch__get
  • Authentication: header x-api-key (APIKeyHeader in the OpenAPI)

Fields

  1. cnpj — Company / Branch identifier A CNPJ (Cadastro Nacional da Pessoa Jurídica) is the tax ID for a legal entity (company). A single company group may have multiple CNPJs, because each branch/worksite can have its own legal registration (branch-specific CNPJ). In our model, the Branch is identified by cnpj because that defines the legal employer entity responsible for compliance.

Example Request

Authorizations

x-api-key
string
header
required

Query Parameters

is_active
boolean | null
order_by
string
default:created_at
order_dir
string
default:asc
page
integer
default:0
limit
integer
default:20
address
string | null
organization_id
string<uuid>[] | null
display_name
string | null
branch_id
string<uuid>[] | null
cnpj
string | null
hr_code
string | null
client_integration_code
string | null
updated_after
string<date-time> | null

Response

Successful Response

data
PublicApiBranchBaseResponse · object[]
required
cursor
PaginateCursor · object | null
required